/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TgenecredittypedescPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "CREDITTYPECODE")
    private String credittypecode;
    @Basic(optional = false)
    @Column(name = "LANGUAGECODE")
    private String languagecode;

    public TgenecredittypedescPK() {
    }

    public TgenecredittypedescPK(String credittypecode, String languagecode) {
        this.credittypecode = credittypecode;
        this.languagecode = languagecode;
    }

    public String getCredittypecode() {
        return credittypecode;
    }

    public void setCredittypecode(String credittypecode) {
        this.credittypecode = credittypecode;
    }

    public String getLanguagecode() {
        return languagecode;
    }

    public void setLanguagecode(String languagecode) {
        this.languagecode = languagecode;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (credittypecode != null ? credittypecode.hashCode() : 0);
        hash += (languagecode != null ? languagecode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TgenecredittypedescPK)) {
            return false;
        }
        TgenecredittypedescPK other = (TgenecredittypedescPK) object;
        if ((this.credittypecode == null && other.credittypecode != null) || (this.credittypecode != null && !this.credittypecode.equals(other.credittypecode))) {
            return false;
        }
        if ((this.languagecode == null && other.languagecode != null) || (this.languagecode != null && !this.languagecode.equals(other.languagecode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TgenecredittypedescPK[ credittypecode=" + credittypecode + ", languagecode=" + languagecode + " ]";
    }
    
}
